Last Comment Bug 721535 - [Firefox] "Warning: package error or possible missing or unnecessary file: bin/components/chardet.xpt"
: [Firefox] "Warning: package error or possible missing or unnecessary file: bi...
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: P2 major (vote)
: Firefox 12
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 713132 713133 713825 721533
  Show dependency treegraph
 
Reported: 2012-01-26 14:30 PST by Serge Gautherie (:sgautherie)
Modified: 2012-01-29 04:08 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
(Av1) Stop packaging dead chardet.xpt [Checked in: Comment 3] (915 bytes, patch)
2012-01-27 12:10 PST, Serge Gautherie (:sgautherie)
smontagu: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2012-01-26 14:30:16 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8857317&tree=Firefox&full=1
WINNT 6.1 x86-64 mozilla-central build on 2012-01-26 09:35:05 PST for push 7cdb5f5d38c6
{
Warning: package error or possible missing or unnecessary file: bin/components/chardet.xpt (package-manifest, 71).
}

***

http://mxr.mozilla.org/comm-central/search?string=chardet.xpt&case=on&find=%2Finstaller%2F

http://mxr.mozilla.org/comm-central/search?string=chardet&case=1&find=Makefile
Comment 1 Serge Gautherie (:sgautherie) 2012-01-27 12:10:56 PST
Created attachment 592207 [details] [diff] [review]
(Av1) Stop packaging dead chardet.xpt
[Checked in: Comment 3]

See details in bug 721533.
Comment 2 Simon Montagu :smontagu 2012-01-29 02:01:19 PST
Comment on attachment 592207 [details] [diff] [review]
(Av1) Stop packaging dead chardet.xpt
[Checked in: Comment 3]

Review of attachment 592207 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry about this, I wasn't aware that removing all the XPIDLSRCs had this consequence.
Comment 3 Serge Gautherie (:sgautherie) 2012-01-29 02:23:53 PST
Comment on attachment 592207 [details] [diff] [review]
(Av1) Stop packaging dead chardet.xpt
[Checked in: Comment 3]

https://hg.mozilla.org/mozilla-central/rev/f35a3eb44138
Comment 4 Serge Gautherie (:sgautherie) 2012-01-29 04:00:33 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8919628&tree=Firefox&full=1
WINNT 5.2 mozilla-central leak test build on 2012-01-29 02:23:44 PST for push f35a3eb44138

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.